robotpkg/graphics/py-qt-gepetto-viewer-corba bulk build results

Log for py35-qt4-gepetto-viewer-corba-5.5.1 on Debian-9-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for py35-qt4-gepetto-viewer-corba-5.5.1 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Debian-9-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Debian-9-x86_64/All/tnftp-20151004~ssl.tgz ===> Checking bootstrap dependencies for py35-qt4-gepetto-viewer-corba-5.5.1 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20151004~ssl found => Required system package gnupg>=1: gnupg-2.1.18 found => Required system package gzip: gzip-1.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.8: pkgrepo2deb-1.8 found ===> Done bootstrap-depends for py35-qt4-gepetto-viewer-corba-5.5.1 ===> Installing full dependencies for py35-qt4-gepetto-viewer-corba-5.5.1 => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Debian-9-x86_64/All/omniORB-4.2.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Debian-9-x86_64/All/openscenegraph-3.6.5r3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Debian-9-x86_64/All/py35-qt4-gepetto-viewer-4.10.1r1~doc.tgz => Dependency qt4-osgqt-3.5.7r2 already installed => Dependency tnftp-20151004~ssl already installed ===> Checking build options for py35-qt4-gepetto-viewer-corba-5.5.1 => Building with no option. ===> Checking alternatives for py35-qt4-gepetto-viewer-corba-5.5.1 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.5: python>=2.5<3.9 provided by python35>=3.5<3.6 => Use qt-4: qt>=4 provided by ===> Checking dependencies for py35-qt4-gepetto-viewer-corba-5.5.1 => Required system package boost-headers>=1.34.1: boost-headers-1.62 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.62.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.62.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.62.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.62.0 found => Required system package cmake>=3.1.0: cmake-3.7.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.2 found => Required system package g++>=3: g++-6.3.0 found => Required system package gcc>=3: gcc-6.3.0 found => Required system package libstdc++: libstdc++ found => Required system package mesa: mesa found => Required system package pkg-config>=0.22: pkg-config-0.29 found => Required system package py35-omniORBpy: py35-omniORBpy found => Required system package python35>=3.5<3.6: python35-3.5.3 found => Required system package qmake>=1: qmake-2.01a found => Required system package qt4-libs>=4.6.2<5: qt4-libs-4.8.7 found => Required robotpkg package omniORB>=4.1.1: omniORB-4.2.4 found => Required robotpkg package openscenegraph>=3: openscenegraph-3.6.5r3 found => Required robotpkg package py35-qt4-gepetto-viewer>=4.6.0: py35-qt4-gepetto-viewer-4.10.1r1~doc found => Required robotpkg package qt4-osgqt>=3: qt4-osgqt-3.5.7r2 found WARNING: Using qt4-osgqt-3.5.7 in /opt/openrobots WARNING: The following packages may interfere with the build because they WARNING: are located in paths used by other dependencies: WARNING: qt-osgqt-3.2.3 in /usr ===> Done depends for py35-qt4-gepetto-viewer-corba-5.5.1 ===> Extracting for py35-qt4-gepetto-viewer-corba-5.5.1 => SHA1 checksums OK => RMD160 checksums OK ===> Configuring for py35-qt4-gepetto-viewer-corba-5.5.1 ===> Building for py35-qt4-gepetto-viewer-corba-5.5.1 /local/robotpkg/var/tmp/robotpkg/graphics/py-qt-gepetto-viewer-corba/work/gepetto-viewer-corba-5.5.1/build/src/gepetto/viewer/corba/graphical-interfaceSK.cc:13:43: error: 'omniORB_4_1' was not declared in this scope static const char* _0RL_library_version = omniORB_4_1; ^~~~~~~~~~~ make[2]: *** [src/CMakeFiles/gepetto-viewer-corba.dir/gepetto/viewer/corba/graphical-interfaceSK.cc.o] Error 1 make[2]: *** Waiting for unfinished jobs.... make[1]: *** [src/CMakeFiles/gepetto-viewer-corba.dir/all] Error 2 make: *** [all] Error 2 An unexpected error occured. The last 10 log lines are shown below. | cd /local/robotpkg/var/tmp/robotpkg/graphics/py-qt-gepetto-viewer-corba/work/gepetto-viewer-corba-5.5.1/build/tests && /usr/bin/cmake -E cmake_link_script CMakeFiles/colormap.dir/link.txt --verbose=1 | /usr/bin/g++ -pedantic -Wno-long-long -Wall -Wextra -Wcast-align -Wcast-qual -Wformat -Wwrite-strings -Wconversion -pipe -O3 -DNDEBUG CMakeFiles/colormap.dir/colormap.cc.o -o colormap -Wl,-rpath,/opt/openrobots/lib -rdynamic /opt/openrobots/lib/libgepetto-viewer.so -L/opt/openrobots/lib -losg -losgDB -losgFX -losgGA -losgParticle -losgSim -losgText -losgUtil -losgTerrain -losgManipulator -losgViewer -losgWidget -losgShadow -losgAnimation -losgVolume -lOpenThreads -losgQt -losg -losgDB -losgFX -losgGA -losgParticle -losgSim -losgText -losgUtil -losgTerrain -losgManipulator -losgViewer -losgWidget -losgShadow -losgAnimation -losgVolume -lOpenThreads -losgQt -lSM -lICE -lX11 -lXext -lGLU -lGL /usr/lib/x86_64-linux-gnu/libQtOpenGL.so /usr/lib/x86_64-linux-gnu/libQtGui.so /usr/lib/x86_64-linux-gnu/libQtNetwork.so /usr/lib/x86_64-linux-gnu/libQtXml.so /usr/lib/x86_64-linux-gnu/libQtCore.so | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/graphics/py-qt-gepetto-viewer-corba/work/gepetto-viewer-corba-5.5.1/build' | [ 38%] Built target colormap | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/graphics/py-qt-gepetto-viewer-corba/work/gepetto-viewer-corba-5.5.1/build' | make[1]: *** [src/CMakeFiles/gepetto-viewer-corba.dir/all] Error 2 | CMakeFiles/Makefile2:1563: recipe for target 'src/CMakeFiles/gepetto-viewer-corba.dir/all' failed | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/graphics/py-qt-gepetto-viewer-corba/work/gepetto-viewer-corba-5.5.1/build' | make: *** [all] Error 2 | Makefile:141: recipe for target 'all' failed For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/graphics/py-qt-gepetto-viewer-corba/work/build.log /local/robotpkg/var/lib/robotpkg/mk/build/build.mk:198: recipe for target 'do-build' failed make[3]: *** [do-build] Error 2 make[2]: *** [pkg-check-installed] Error 2 /local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: recipe for target 'pkg-check-installed' failed => Marking py35-qt4-gepetto-viewer-corba-5.5.1 as broken ERROR: make: *** [package] Error 2 ===> Deinstalling for py35-qt4-gepetto-viewer-corba Removed digest-20080510 omniORB-4.2.4: removing default configuration file in /opt/openrobots/etc/omniORB.cfg robotpkg_delete: Couldn't remove /opt/openrobots/etc/omniORB.cfg Removed omniORB-4.2.4 Removing dependency collada-dom-2.4.0r1 Removing dependency Removing dependency qt4-osgqt-3.5.7r2 Removing dependency py35-qt4-gepetto-viewer-4.10.1r1~doc Removed openscenegraph-3.6.5r3 Removed tnftp-20151004~ssl